Subject: Re: 'git show' with multiple revisions

From: Ed Avis <[email-masked]>
Date: Wed, 29 Apr 2015 15:47:33 +0000 (UTC)

Jeff King <peff <at> peff.net> writes:

>I think you want `git cat-file`:
>
>  {
>	echo REV1:FILE
>	echo REV2:FILE
>  } |
>  git cat-file --batch
>
>This prints a header line for each output object which contains the size
>of the object (so a parser reads a header line, then N bytes, then a
>header line, N bytes, and so on).

This looks like what I want but the object ids printed appear to be the id
of the file in a given revision - not the id of the revision itself.
So the ids in the output are not the same as the ones in the input.

That's fine, as long as I can assume that the output entries are in the same
order as the input?

-- 
Ed Avis <[email-masked]>